%if 0%{?fedora}
# It looks like pyLibravatar doesn't currently support python3,
# but when upstream does, we should be able to flip this bit to
# turn on packaging of python3-pylibravatar.
%global with_python3 0
%endif

%global eggname pyLibravatar
%global modname libravatar

Name:               python-pylibravatar
Version:            1.5
Release:            1%{?dist}
Summary:            Python module for Libravatar

Group:              Development/Libraries
# The full text of the license isn't shipped
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
License:            MIT
URL:                http://pypi.python.org/pypi/pyLibravatar
Source0:            http://pypi.python.org/packages/source/p/%{eggname}/%{eggname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-pydns

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-pydns
%endif

Requires:           python-pydns

%description
PyLibravatar is an easy way to make use of the federated Libravatar
avatar hosting service from within your Python applications.

%if 0%{?with_python3}
%package -n python3-pylibravatar
Summary:            Python module for Libravatar
Group:              Development/Libraries

Requires:           python3-pydns

%description -n python3-pylibravatar
PyLibravatar is an easy way to make use of the federated Libravatar
avatar hosting service from within your Python applications.
%endif

%prep
%setup -q -n %{eggname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{eggname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
# Upstream doesn't ship the license full text
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
%doc README.txt Changelog.txt
%{python_sitelib}/%{modname}.py*
%{python_sitelib}/%{eggname}-%{version}*

%if 0%{?with_python3}
%files -n python3-pylibravatar
# Upstream doesn't ship the license full text
# https://bugs.launchpad.net/pylibravatar/+bug/1173603
%doc README.rst LICENSE
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/*%{modname}*
%{python3_sitelib}/%{eggname}-%{version}-*
%endif

%changelog
* Sat Apr 27 2013 Ralph Bean <rbean@redhat.com> - 1.5-1
- Initial packaging for Fedora.
- There is no test suite at this point.
- Upstream doesn't seem to ship the license full text at this point.
